Upstream information

CVE-2005-3807 at MITRE

Description

Memory leak in the VFS file lease handling in locks.c in Linux kernels 2.6.10 to 2.6.15 allows local users to cause a denial of service (memory exhaustion) via certain Samba activities that cause an fasync entry to be re-allocated by the fcntl_setlease function after the fasync queue has already been cleaned by the locks_delete_lock function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 133803 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • Intel-536ep >= 4.69-14.2
  • kernel-bigsmp >= 2.6.13-15.7
  • kernel-bigsmp-nongpl >= 2.6.13-15.7
  • kernel-default >= 2.6.13-15.7
  • kernel-default-nongpl >= 2.6.13-15.7
  • kernel-iseries64 >= 2.6.13-15.7
  • kernel-ppc64 >= 2.6.13-15.7
  • kernel-smp >= 2.6.13-15.7
  • kernel-smp-nongpl >= 2.6.13-15.7
  • kernel-source >= 2.6.13-15.7
  • kernel-syms >= 2.6.13-15.7
  • kernel-um >= 2.6.13-15.7
  • kernel-um-nongpl >= 2.6.13-15.7
  • kernel-xen >= 2.6.13-15.7
  • kernel-xen-nongpl >= 2.6.13-15.7
  • um-host-kernel >= 2.6.13-15.7
Builds
SUSE LINUX 9.3
  • Intel-536ep >= 4.69-10.4
  • kernel-bigsmp >= 2.6.11.4-21.10
  • kernel-bigsmp-nongpl >= 2.6.11.4-21.10
  • kernel-default >= 2.6.11.4-21.10
  • kernel-default-nongpl >= 2.6.11.4-21.10
  • kernel-docs >= 2.6.11.4-21.10
  • kernel-smp >= 2.6.11.4-21.10
  • kernel-smp-nongpl >= 2.6.11.4-21.10
  • kernel-source >= 2.6.11.4-21.10
  • kernel-syms >= 2.6.11.4-21.10
  • kernel-um >= 2.6.11.4-21.10
  • kernel-um-nongpl >= 2.6.11.4-21.10
  • kernel-xen >= 2.6.11.4-21.10
  • kernel-xen-nongpl >= 2.6.11.4-21.10
  • ltmodem >= 8.31a10-7.4
  • um-host-install-initrd >= 1.0-50.4
  • um-host-kernel >= 2.6.11.4-21.10
Builds